Name:           i3lock-color
Version:        2.13.c.5
Release:        1%{?dist}
Summary:        Simple X display locker like slock
License:        MIT
URL:            https://github.com/Raymo111/i3lock-color
Source0:        %{URL}/archive/refs/tags/%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  meson >= 0.45
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-event)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-atom)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xkbcommon) >= 0.5.0
BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.5.0
BuildRequires:  pkgconfig(cairo) >= 1.14.4
BuildRequires:  libev-devel
BuildRequires:  pam-devel
BuildRequires:  make
Conflicts:      i3lock


%description
i3lock is a simple screen locker like slock. After starting it, you will see a
white screen (you can configure the color/an image). You can return to your
screen by entering your password.
Many little improvements have been made to i3lock over time:
- i3lock forks, so you can combine it with an alias to suspend to RAM (run
  "i3lock && echo mem > /sys/power/state" to get a locked screen after waking up
  your computer from suspend to RAM)
- You can specify either a background color or a PNG image which will be
  displayed while your screen is locked.
- You can specify whether i3lock should bell upon a wrong password.
- i3lock uses PAM and therefore is compatible with LDAP etc. On OpenBSD i3lock
  uses the bsd_auth(3) framework.


%prep
%autosetup -p1
autoreconf -fiv


%build
export CFLAGS="%{optflags}"
%configure
%make_build


%install
%make_install


%files
%{_bindir}/i3lock
%{_sysconfdir}/pam.d/i3lock
%{_mandir}/man1/i3lock.1*
%{_datadir}//bash-completion/completions/i3lock-bash


%changelog
